/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is ForecastFox.
 *
 * The Initial Developer of the Original Code is
 * Jon Stritar <jstritar@MIT.EDU>.
 * Portions created by the Initial Developer are Copyright (C) 2005
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * Jon Stritar <jstritar@MIT.EDU>
 * Richard Klein <richwklein@mchsi.com>
 * Thomas Bertels <tbertels@gmail.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

//description localization
pref("extensions.{B5EDFBB0-9827-11DA-A72B-0800200C9A66}.description", "chrome://forecastfox/locale/forecastfox.properties");

//update file for each locale
pref("extensions.{B5EDFBB0-9827-11DA-A72B-0800200C9A66}.update.url", "chrome://forecastfox/locale/forecastfox.properties");

//global prefs
pref("forecastfox.migrated", "0.5.9");
pref("forecastfox.profile.current", "default");
pref("forecastfox.profile.switch.enabled", false);
pref("forecastfox.profile.switch.delay", 2);

//general prefs
pref("forecastfox.general.locid", "00000");
pref("forecastfox.general.units", 3);           //1=american,2=english,3=metric
pref("forecastfox.general.bar", "status-bar");
pref("forecastfox.general.position", -1);       //0 based -> -1 means "last element"

//current condition prefs
pref("forecastfox.cc.last", "0");
pref("forecastfox.cc.cache", "");
pref("forecastfox.cc.panel.enabled", true);
pref("forecastfox.cc.panel.display", 2);        //0=icon, 1=label, 2=both
pref("forecastfox.cc.panel.label", "ff.cc.panel.label");
pref("forecastfox.cc.tooltip.enabled", true);
pref("forecastfox.cc.tooltip.display", 2);      //0=icon, 1=label, 2=both
pref("forecastfox.cc.tooltip.label", "ff.cc.tooltip.label");
pref("forecastfox.cc.slider.freq", 2);
pref("forecastfox.cc.slider.count", 1);
pref("forecastfox.cc.slider.enabled", false);
pref("forecastfox.cc.slider.display", 2);       //0=icon, 1=label, 2=both
pref("forecastfox.cc.slider.title", "ff.cc.slider.title");
pref("forecastfox.cc.slider.label", "ff.cc.slider.label");

//today prefs
pref("forecastfox.dayt.panel.enabled", true);
pref("forecastfox.dayt.panel.display", 2);        //0=icon, 1=label, 2=both
pref("forecastfox.dayt.panel.label", "ff.dayt.panel.label");
pref("forecastfox.dayt.tooltip.enabled", true);
pref("forecastfox.dayt.tooltip.display", 2);      //0=icon, 1=label, 2=both
pref("forecastfox.dayt.tooltip.label", "ff.dayt.tooltip.label");
pref("forecastfox.dayt.panel.mode", 2);           //0=today, 1=tonight, 2=both
pref("forecastfox.dayt.panel.switch", 0);         //0=switch to tonight, 1= switch to tomorrow, 2 = disappear

//forecast prefs
pref("forecastfox.dayf.last", "1");
pref("forecastfox.dayf.cache", "");
pref("forecastfox.dayf.panel.mode", 0);           //0=day, 1=night, 2=both 
pref("forecastfox.dayf.panel.days", 1);
pref("forecastfox.dayf.panel.enabled", true);
pref("forecastfox.dayf.panel.display", 2);        //0=icon, 1=label, 2=both
pref("forecastfox.dayf.panel.label", "ff.dayf.panel.label");
pref("forecastfox.dayf.tooltip.enabled", true);
pref("forecastfox.dayf.tooltip.display", 2);      //0=icon, 1=label, 2=both
pref("forecastfox.dayf.tooltip.label", "ff.dayf.tooltip.label");

//links prefs
pref("forecastfox.links.last", "0");
pref("forecastfox.links.cache", "");